Subject: Re: [Bitcoin-development] User vote in blocksize through fees

From: Matt Whitlock <[email-masked]>
Date: Fri, 12 Jun 2015 14:54:25 -0400

On Friday, 12 June 2015, at 7:44 pm, Peter Todd wrote:
> On Fri, Jun 12, 2015 at 02:36:31PM -0400, Matt Whitlock wrote:
> > On Friday, 12 June 2015, at 7:34 pm, Peter Todd wrote:
> > > On Fri, Jun 12, 2015 at 02:22:36PM -0400, Matt Whitlock wrote:
> > > > Why should miners only be able to vote for "double the limit" or "halve" the limit? If you're going to use bits, I think you need to use two bits:
> > > > 
> > > > 	0 0 = no preference ("wildcard" vote)
> > > > 	0 1 = vote for the limit to remain the same
> > > > 	1 0 = vote for the limit to be halved
> > > > 	1 1 = vote for the limit to be doubled
> > > > 
> > > > User transactions would follow the same usage. In particular, a user vote of "0 0" (no preference) could be included in a block casting any vote, but a block voting "0 0" (no preference) could only contain transactions voting "0 0" as well.
> > > 
> > > Sounds like a good encoding to me. Taking the median of the three
> > > options, and throwing away "don't care" votes entirely, makes sense.
> > 
> > I hope you mean the *plurality* of the three options after throwing away the "don't cares," not the *median*.
> 
> Median ensures that voting "no change" is meaningful. If "double" + "no
> change" = 66%-1, you'd expect the result to be "no change", not "halve""
> With a plurality vote you'd end up with a halving that was supported by
> a minority.

Never mind. I think I've figured out what you're getting at, and you're right. We wouldn't want "halve" to win on a plurality just because the remaining majority of the vote was split between double and remain-the-same. Good catch. :)